import type { GeneratedTypes, Payload } from '../../../index.js';
import type { Document, PayloadRequestWithData, RequestContext, Where } from '../../../types/index.js';
export type Options<T extends keyof GeneratedTypes['collections']> = {
    collection: T;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    depth?: number;
    disableErrors?: boolean;
    locale?: GeneratedTypes['locale'];
    overrideAccess?: boolean;
    req?: PayloadRequestWithData;
    user?: Document;
    where?: Where;
};
export default function countLocal<T extends keyof GeneratedTypes['collections']>(payload: Payload, options: Options<T>): Promise<{
    totalDocs: number;
}>;
//# sourceMappingURL=count.d.ts.map