import type { PaginatedDocs } from '../../../database/types.js';
import type { GeneratedTypes, Payload } from '../../../index.js';
import type { Document, PayloadRequestWithData, RequestContext, Where } from '../../../types/index.js';
import type { TypeWithVersion } from '../../../versions/types.js';
export type Options<T extends keyof GeneratedTypes['collections']> = {
    collection: T;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    depth?: number;
    draft?: boolean;
    fallbackLocale?: GeneratedTypes['locale'];
    limit?: number;
    locale?: 'all' | GeneratedTypes['locale'];
    overrideAccess?: boolean;
    page?: number;
    req?: PayloadRequestWithData;
    showHiddenFields?: boolean;
    sort?: string;
    user?: Document;
    where?: Where;
};
export default function findVersionsLocal<T extends keyof GeneratedTypes['collections']>(payload: Payload, options: Options<T>): Promise<PaginatedDocs<TypeWithVersion<GeneratedTypes['collections'][T]>>>;
//# sourceMappingURL=findVersions.d.ts.map