import type { DeepPartial } from 'ts-essentials';
import type { GeneratedTypes } from '../../index.js';
import type { PayloadRequestWithData } from '../../types/index.js';
import type { SanitizedGlobalConfig } from '../config/types.js';
type Args<T extends {
    [field: number | string | symbol]: unknown;
}> = {
    autosave?: boolean;
    data: DeepPartial<Omit<T, 'id'>>;
    depth?: number;
    draft?: boolean;
    globalConfig: SanitizedGlobalConfig;
    overrideAccess?: boolean;
    req: PayloadRequestWithData;
    showHiddenFields?: boolean;
    slug: string;
};
export declare const updateOperation: <TSlug extends string | number | symbol>(args: Args<GeneratedTypes['globals'][TSlug]>) => Promise<GeneratedTypes['globals'][TSlug]>;
export {};
//# sourceMappingURL=update.d.ts.map